## electric-fence 2.0.5

=== Makefile ===
ASFLAGS= -mips2
CC= cc
AR= ar
INSTALL= install
MV= mv
CHMOD= chmod
CFLAGS= -g
LIB_INSTALL_DIR= $(prefix)/lib
MAN_INSTALL_DIR= $(prefix)/man/man3

PACKAGE_SOURCE= README efence.3 Makefile efence.h \
	efence.c page.c print.c eftest.c tstheap.c CHANGES

# Un-comment the following if you are running HP/UX.
# CFLAGS= -Aa -g -D_HPUX_SOURCE -DPAGE_PROTECTION_VIOLATED_SIGNAL=SIGBUS

# Un-comment the following if you are running AIX. This makes sure you won't
# get the shared-library malloc() rather than the Electric Fence malloc().
# COMPILE THE PROGRAMS YOU ARE DEBUGGING WITH THESE FLAGS, TOO.
# CFLAGS= -g -bnso -bnodelcsect -bI:/lib/syscalls.exp

# Un-comment the following if you are running SunOS 4.X
# Note the definition of PAGE_PROTECTION_VIOLATED_SIGNAL. This may vary
# depend on what version of Sun hardware you have.
# You'll probably have to link the program you are debugging with -Bstatic
# as well if using Sun's compiler, -static if using GCC.
# CFLAGS= -g -Bstatic -DPAGE_PROTECTION_VIOLATED_SIGNAL=SIGBUS

OBJECTS= efence.o page.o print.o

all:	libefence.a tstheap eftest
	@ echo
	@ echo "Testing Electric Fence."
	@ echo "After the last test, it should print that the test has PASSED."
	./eftest
	./tstheap 3072
	@ echo
	@ echo "Electric Fence confidence test PASSED." 
	@ echo

install: libefence.a efence.3
	$(CHMOD) 644 libefence.a
	$(MV) libefence.a $(LIB_INSTALL_DIR)
	$(CHMOD) 644 $(LIB_INSTALL_DIR)/libefence.a
	$(INSTALL) efence.3 $(MAN_INSTALL_DIR)/efence.3
	$(CHMOD) 644 $(MAN_INSTALL_DIR)/efence.3

clean:
	- rm -f $(OBJECTS) tstheap.o eftest.o tstheap eftest libefence.a \
	 libefence.cat ElectricFence.shar

roff:
	nroff -man < efence.3 > efence.cat


ElectricFence.shar: $(PACKAGE_SOURCE)
	shar $(PACKAGE_SOURCE) > ElectricFence.shar

shar: ElectricFence.shar

libefence.a: $(OBJECTS)
	- rm -f libefence.a
	$(AR) crv libefence.a $(OBJECTS)

tstheap: libefence.a tstheap.o
	- rm -f tstheap
	$(CC) $(CFLAGS) tstheap.o libefence.a -o tstheap

eftest: libefence.a eftest.o
	- rm -f eftest
	$(CC) $(CFLAGS) eftest.o libefence.a -o eftest

$(OBJECTS) tstheap.o eftest.o: efence.h

## electric-fence 2.1.3

=== Makefile ===
--- 
+++ 
@@ -5,11 +5,11 @@
 MV= mv
 CHMOD= chmod
 CFLAGS= -g
-LIB_INSTALL_DIR= $(prefix)/lib
-MAN_INSTALL_DIR= $(prefix)/man/man3
+LIB_INSTALL_DIR= /usr/lib
+MAN_INSTALL_DIR= /usr/man/man3
 
-PACKAGE_SOURCE= README efence.3 Makefile efence.h \
-	efence.c page.c print.c eftest.c tstheap.c CHANGES
+PACKAGE_SOURCE= README libefence.3 Makefile efence.h \
+	efence.c page.c print.c eftest.c tstheap.c CHANGES COPYING
 
 # Un-comment the following if you are running HP/UX.
 # CFLAGS= -Aa -g -D_HPUX_SOURCE -DPAGE_PROTECTION_VIOLATED_SIGNAL=SIGBUS
@@ -38,19 +38,18 @@
 	@ echo "Electric Fence confidence test PASSED." 
 	@ echo
 
-install: libefence.a efence.3
-	$(CHMOD) 644 libefence.a
+install: libefence.a libefence.3
 	$(MV) libefence.a $(LIB_INSTALL_DIR)
 	$(CHMOD) 644 $(LIB_INSTALL_DIR)/libefence.a
-	$(INSTALL) efence.3 $(MAN_INSTALL_DIR)/efence.3
-	$(CHMOD) 644 $(MAN_INSTALL_DIR)/efence.3
+	$(INSTALL) libefence.3 $(MAN_INSTALL_DIR)/libefence.3
+	$(CHMOD) 644 $(MAN_INSTALL_DIR)/libefence.3
 
 clean:
 	- rm -f $(OBJECTS) tstheap.o eftest.o tstheap eftest libefence.a \
 	 libefence.cat ElectricFence.shar
 
 roff:
-	nroff -man < efence.3 > efence.cat
+	nroff -man < libefence.3 > libefence.cat
 
 
 ElectricFence.shar: $(PACKAGE_SOURCE)

=== debian/changelog ===
electric-fence (2.1.3) unstable; urgency=low

  * install libefence.so (closes:48156)

 -- Matthew Vernon <matthew@debian.org>  Mon, 07 dec 1999 15:42:00 +0000

electric-fence (2.1.2) unstable; urgency=low

  * Actually install that gdb documentation <sigh>

 -- Matthew Vernon <matthew@debian.org>  Mon, 13 Sep 1999 14:08:00 +0100
	

electric-fence (2.1.1) unstable; urgency=low
	
   * Taking over this package properly
   * Version numbering fixed (I hope)

 -- Matthew Vernon <matthew@debian.org>  Mon, 01 Sep 1999 13:00:00 +0100
	

electric-fence (2.1-2) unstable; urgency=low

   * Added Ian Jackson's patches (closes: #41314)
   * Added gdb documentation     (closes: #33186)
	
 -- Matthew Vernon <matthew@debian.org>  Mon, 16 Aug 1999 16:08:22 +0100
	

electric-fence (2.1-1) unstable; urgency=low

  * new upstream release (closes: #35853)

 -- Christian Kurz <shorty@debian.org>  Wed, 16 Jun 1999 15:35:09 +0200

electric-fence (2.0.5-4.1) unstable; urgency=low

  * Orphaned the package:
    (Siggy Brentrup has left the project a long while ago)
  * Now point to the correct manpage (Fix #8122).
  * upstream changelog file named correctly (Fix #9618).
  * Now point to the upstream location (Fix #17354, #28059).
  * Don't install libefence.so.0 executable (Fix #25993).

 -- Vincent Renardias <vincent@waw.com>  Wed, 13 Jan 1999 01:41:31 +0100

electric-fence (2.0.5-4) unstable; urgency=low

  * recompiled for libc6; added an extra condition around the sys_errlist
    declaration.
  * added a libefence.so.0.0 shared library. 
  * non-maintainer release.
  
 -- joost witteveen <joostje@debian.org>  Fri, 19 Sep 1997 15:11:31 +0200

electric-fence (2.0.5-3) unstable; urgency=low

  * Changed to new package format (Bug #7118)
  * Added extended description (Bug #3582)
  * Multi-architecture support (hopefully) (Bug #4045)

 -- Siggy Brentrup <bsb@debian.org>  Wed, 5 Feb 1997 17:17:17 +0100

electric-fence (2.0.5-2) unstable; urgency=low

  * converted to ELF directory structure
  * cleaned up debian.control
  * minor changes to debian.rules

 -- Siggy Brentrup <bsb@uni-muenster.de>  Wed, 20 Jan 1996 00:00:00 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "matthew@debian.org"
End:

=== debian/control ===
Source: electric-fence
Section: devel
Priority: extra
Maintainer: Matthew Vernon <matthew@debian.org>
Standards-Version: 2.5.0.1

Package: electric-fence
Section: devel
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: A malloc(3) debugger
 Use virtual memory hardware to detect illegal memory accesses.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
#
# Modified to work with debhelper-tools by Christian Kurz <shorty@debian.org>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


build: build-stamp
build-stamp:
	dh_testdir
	#if [ -x configure ]; then ./configure --prefix=/usr; fi
	make CFLAGS="-O2 -g -Wall"
	rm *.o
	make CFLAGS="-O2 -g -Wall -fPIC"
	gcc -g -shared -Wl,-soname,libefence.so.0 -o libefence.so.0.0 efence.o page.o print.o -lc
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f libefence.so.0.0
	dh_clean
	-$(MAKE) -i clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/doc/electric-fence usr/lib usr/man/man3
	install -m 644 libefence.a debian/tmp/usr/lib
	install -m 644 libefence.so.0.0 debian/tmp/usr/lib
	dh_link /usr/lib/libefence.so.0.0 /usr/lib/libefence.so.0
	#ln -s debian/tmp/usr/lib/libefence.so.0 ./libefence.so
	dh_link /usr/lib/libefence.so.0 /usr/lib/libefence.so
	install -m 644 libefence.3 debian/tmp/usr/man/man3/efence.3
	dh_installdocs README debian/README.gdb
	dh_installchangelogs
	dh_installmanpages -pefence libefence.3
	chown -R root.root debian/tmp
	dh_strip
	dh_compress
	dh_installdeb
	dh_fixperms
	dh_shlibdeps debian/tmp/usr/lib/libefence.so.0.0
	dpkg-shlibdeps debian/tmp/usr/lib/libefence.so.0.0
	dh_gencontrol
	dh_md5sums
	dh_builddeb	

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## electric-fence 2.1.13

=== debian/changelog ===
electric-fence (2.1.13) unstable; urgency=high

  * Link with pthreads (closes: #135122)

 -- Matthew Vernon <matthew@debian.org>  Fri, 22 Feb 2001 09:57:50 +0000
	

electric-fence (2.1.12) unstable; urgency=high

  * Add multithreading support (thanks to infrared@mail.index.hu) 
    (closes: #67838)
  * Specify the GPL version (closes: #133494)
  * Patch to allow you to specify that electric-fence should set freed 
    memory to a fixed value - makes things more helpful under gdb in 
    certain circumstances (patch from Petter Reinholdtsen <pere@hungry.com>
    and modified by yours truly to make it legal :-) (closes: #59764)
  * That's all the outstanding bugs fixed for the next release

 -- Matthew Vernon <matthew@debian.org>  Tue, 19 Feb 2001 22:09:37 +0000
	

electric-fence (2.1.11) unstable; urgency=low

  * Fix daft typo (closes: #105418)

 -- Matthew Vernon <matthew@debian.org>  Mon, 16 Jul 2001 08:56:01 +0100
	

electric-fence (2.1.10) unstable; urgency=low

  * pass int not char as type to va_arg (closes: #104800)

 -- Matthew Vernon <matthew@debian.org>  Sun, 15 Jul 2001 13:05:34 +0100
	

electric-fence (2.1.9) unstable; urgency=low

  * Get the /usr/doc/ stuff right this time (closes: #97010, #97890)

 -- Matthew Vernon <matthew@debian.org>  Fri, 18 May 2001 14:28:01 +0100

electric-fence (2.1.8) unstable; urgency=low

  * Remove spurious (int) casts in calls to mmap (closes: #84940)

 -- Matthew Vernon <matthew@debian.org>  Wed, 11 Apr 2001 15:48:39 +0100

electric-fence (2.1.7) unstable; urgency=low

  * Check if /usr/doc/electric-fence is a symlink in postinst (closes: #93534)
	
 -- Matthew Vernon <matthew@debian.org>  Tue, 10 Apr 2001 15:41:49 +0100
	

electric-fence (2.1.6) unstable; urgency=low

  * Make the banner print a correct version (closes: #81413)
  * Man page into /usr/share/man (closes: #91147,#81450)
  * Be sure to get rid of /usr/doc/electric-fence (closes: #81023)
	
 -- Matthew Vernon <matthew@debian.org>  Mon, 09 Apr 2001 14:52:03 +0100

electric-fence (2.1.5) unstable; urgency=low

  * rename the manpage to correspond to the README file (closes: #77243)

 -- Matthew Vernon <matthew@debian.org>  Fri, 17 Nov 2000 18:35:42 +0000

electric-fence (2.1.4) unstable; urgency=low
  
  * build tidy-ups (closes: #48156, #52927, #56142)
  
 -- Matthew Vernon <matthew@debian.org>  Mon, 16 Oct 2000 18:01:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Matthew Vernon <matthew@debian.org>
-Standards-Version: 2.5.0.1
+Build-Depends: debhelper
+Standards-Version: 3.2.1.0
 
 Package: electric-fence
 Section: devel

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # Modified to work with debhelper-tools by Christian Kurz <shorty@debian.org>
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 
 build: build-stamp
@@ -22,7 +22,7 @@
 	make CFLAGS="-O2 -g -Wall"
 	rm *.o
 	make CFLAGS="-O2 -g -Wall -fPIC"
-	gcc -g -shared -Wl,-soname,libefence.so.0 -o libefence.so.0.0 efence.o page.o print.o -lc
+	gcc -g -shared -Wl,-soname,libefence.so.0 -o libefence.so.0.0 efence.o page.o print.o -lc -lpthread
 	touch build-stamp
 
 clean:
@@ -42,13 +42,13 @@
 	dh_testdir
 	dh_testroot
 	dh_clean
-	dh_installdirs usr/doc/electric-fence usr/lib usr/man/man3
+	dh_installdirs usr/lib usr/share/man/man3
 	install -m 644 libefence.a debian/tmp/usr/lib
 	install -m 644 libefence.so.0.0 debian/tmp/usr/lib
 	dh_link /usr/lib/libefence.so.0.0 /usr/lib/libefence.so.0
 	#ln -s debian/tmp/usr/lib/libefence.so.0 ./libefence.so
 	dh_link /usr/lib/libefence.so.0 /usr/lib/libefence.so
-	install -m 644 libefence.3 debian/tmp/usr/man/man3/efence.3
+	install -m 644 libefence.3 debian/tmp/usr/share/man/man3/libefence.3
 	dh_installdocs README debian/README.gdb
 	dh_installchangelogs
 	dh_installmanpages -pefence libefence.3

## electric-fence 2.1.13-0.1

=== debian/changelog ===
electric-fence (2.1.13-0.1) unstable; urgency=low

  * Non-maintainer upload
  * eftest.c: uses sig{set,long}jmp() instead of {set,long}jmp() to work on
    both 2.4 and 2.6 kernels (closes: #203436)
  * Added a proper description (closes: #209479)
  * Changed order of commands to build static library without PIC
    (closes: #154034)
  * Clarified and fixed manpage:
    - clarified semantics of EF_PROTECT_FREE (closes: #177800)
    - EF_ALLOC_MALLOC_0 -> EF_ALLOW_MALLOC_0 (closes: #177807)
    - mention EF_ALLOW_MALLOC_0 in the synopsis, correct number of conf
      switches (closes: #177808)
  * /usr/doc symlink not created any more, added postrm with ldconfig call,
    added debhelper tokens (closes: #222980)

 -- Martin Pitt <mpitt@debian.org>  Fri,  5 Dec 2003 16:51:38 +0100

## electric-fence 2.1.14

=== debian/changelog ===
electric-fence (2.1.14) unstable; urgency=low

  * Fix behaviour of realloc() to conform to ANSI (closes: #134867)
  * Use strerror_r() (closes: #236407)
  * Correct typo in README.gdb (closes: #242376)

 -- Matthew Vernon <matthew@debian.org>  Sat, 15 Jan 2005 20:05:00 +0000
	

## electric-fence 2.1.14.1

=== Makefile ===
--- 
+++ 
@@ -63,10 +63,10 @@
 
 tstheap: libefence.a tstheap.o
 	- rm -f tstheap
-	$(CC) $(CFLAGS) tstheap.o libefence.a -o tstheap
+	$(CC) $(CFLAGS) tstheap.o libefence.a -o tstheap -lpthread
 
 eftest: libefence.a eftest.o
 	- rm -f eftest
-	$(CC) $(CFLAGS) eftest.o libefence.a -o eftest
+	$(CC) $(CFLAGS) eftest.o libefence.a -o eftest -lpthread
 
 $(OBJECTS) tstheap.o eftest.o: efence.h

=== debian/changelog ===
electric-fence (2.1.14.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Petr Salinger to fix FTBFS on GNU/kFreeBSD.
    Closes: #340420
  * Rebuilt with current debhelper to finish /usr/doc transition.
    Closes: #322784
  * Man page typo fix from A Costa. Closes: #310357

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Jan 2006 01:03:19 -0500

=== debian/control ===
--- 
+++ 
@@ -11,5 +11,16 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: A malloc(3) debugger
- Use virtual memory hardware to detect illegal memory accesses.
-
+ Electric Fence is a debugger that uses virtual memory hardware to detect
+ illegal memory accesses. It can detect two common programming bugs: software
+ that overruns or underruns the boundaries of a malloc() memory allocation,
+ and software that touches a memory allocation that has been released by
+ free(). 
+ .
+ Unlike other malloc() debuggers, Electric Fence will detect read accesses as
+ well as writes, and it will stop and pinpoint the exact instruction that
+ causes an error. It is not as thorough as Purify, however.
+ . 
+ In order to debug a program it needs to be linked with Electric Fence's
+ library or dynamic linking needs to be used; README.Debian explains that in
+ detail.

=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,10 @@
 build-stamp:
 	dh_testdir
 	#if [ -x configure ]; then ./configure --prefix=/usr; fi
-	make CFLAGS="-O2 -g -Wall"
-	rm *.o
 	make CFLAGS="-O2 -g -Wall -fPIC"
 	gcc -g -shared -Wl,-soname,libefence.so.0 -o libefence.so.0.0 efence.o page.o print.o -lc -lpthread
+	rm *.o
+	make CFLAGS="-O2 -g -Wall"
 	touch build-stamp
 
 clean:

## electric-fence 2.1.16

=== debian/changelog ===
electric-fence (2.1.16) unstable; urgency=medium

  * apply patch from Petr Salinger to fix FTBFS on GNU/kfreeBSD 
    (closes: #340420)

 -- Matthew Vernon <matthew@debian.org>  Fri, 14 May 2010 15:51:33 +0100

electric-fence (2.1.15) unstable; urgency=low

  * patch from Samuel Thibault to fix pthread support (closes: #541387)
  * update lintian overrides

 -- Matthew Vernon <matthew@debian.org>  Thu, 13 May 2010 21:54:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,7 @@
 	chown -R root.root debian/tmp
 	dh_strip
 	dh_compress
+	dh_lintian
 	dh_installdeb
 	dh_fixperms
 	dh_shlibdeps debian/tmp/usr/lib/libefence.so.0.0

## electric-fence 2.1.16ubuntu2

=== debian/changelog ===
electric-fence (2.1.16ubuntu2) oneiric; urgency=low

  * Build with -fno-builtin-malloc rather than -fno-tree-dse, which
    eliminates the problem more precisely.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2011 15:48:00 +0100

electric-fence (2.1.16ubuntu1) oneiric; urgency=low

  * Build with -fno-tree-dse, since otherwise GCC >= 4.5 misoptimises
    allocateMoreSlots() (closes: #625756, LP: #749139).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Sep 2011 18:10:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: electric-fence
 Section: devel
 Priority: extra
-Maintainer: Matthew Vernon <matthew@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew Vernon <matthew@debian.org>
 Build-Depends: debhelper
 Standards-Version: 3.2.1.0

## electric-fence 2.1.18

=== debian/changelog ===
electric-fence (2.1.18) unstable; urgency=low

  * refine the previous patch to use -fno-builtin-malloc instead

 -- Matthew Vernon <matthew@debian.org>  Tue, 27 Sep 2011 21:44:35 +0100

electric-fence (2.1.17) unstable; urgency=low

  * patch from Colin Watson to build with -fno-tree-dse as otherwise gcc
    >=4.5 mis-optimises AllocateMoreSlots() (Closes: #625756).

 -- Matthew Vernon <matthew@debian.org>  Fri, 09 Sep 2011 13:32:50 +0100

## electric-fence 2.1.19

=== debian/changelog ===
electric-fence (2.1.19) unstable; urgency=low

  * patch from Petr Salinger to handle both SIGBUS and SIGSEGV in eftest.c
    on FreeBSD-based architectures (Closes: #643866)

 -- Matthew Vernon <matthew@debian.org>  Fri, 07 Oct 2011 08:38:44 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,10 @@
 build-stamp:
 	dh_testdir
 	#if [ -x configure ]; then ./configure --prefix=/usr; fi
-	make CFLAGS="-O2 -g -Wall -fPIC"
+	make CFLAGS="-O2 -fno-builtin-malloc -g -Wall -fPIC"
 	gcc -g -shared -Wl,-soname,libefence.so.0 -o libefence.so.0.0 efence.o page.o print.o -lc -lpthread
 	rm *.o
-	make CFLAGS="-O2 -g -Wall"
+	make CFLAGS="-O2 -fno-builtin-malloc -g -Wall"
 	touch build-stamp
 
 clean:

## electric-fence 2.2.3

=== debian/changelog ===
electric-fence (2.2.3) unstable; urgency=low

  * Fix the build system such that we actually pass -fno-builtin-malloc to
    gcc. Thanks to Ian Jackson and Colin Watson for helping me disentangle
    this (Closes: #679320)

 -- Matthew Vernon <matthew@debian.org>  Mon, 02 Jul 2012 18:57:41 +0100

electric-fence (2.2.2) unstable; urgency=low

  * patch from Petr Machata to add posix_memalign support (Closes: #599938)
  * Update standards-version
  * Update to use debhelper compatibility version 8
  * Don't ignore errors from make clean
  * set -e in postrm

 -- Matthew Vernon <matthew@debian.org>  Wed, 27 Jun 2012 22:15:04 +0100

electric-fence (2.2.1) unstable; urgency=low

  * patch from Brandon (modified a little) to handle noopt 
    DEB_BUILD_OPTIONS (Closes: #461428)
  * patch from Fedora (via Botond Botyanszki) replacing mutex locking with
    semaphores (Closes: #241156, #365382)
  
 -- Matthew Vernon <matthew@debian.org>  Wed, 27 Jun 2012 00:50:42 +0100

## electric-fence 2.2.4

=== debian/changelog ===
electric-fence (2.2.4) unstable; urgency=medium (high for hurd users)

  * Patch from Richard Kettlewell to improve the semaphore strategy of
    efence. We no longer use recursive mutexes, and the code is instead
    clearer about when it should and shouldn't be locking. This means that
    electric-fence builds on hurd, which it hasn't previously.

 -- Matthew Vernon <matthew@debian.org>  Tue, 17 Jul 2012 18:40:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: electric-fence
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthew Vernon <matthew@debian.org>
-Build-Depends: debhelper
-Standards-Version: 3.2.1.0
+Maintainer: Matthew Vernon <matthew@debian.org>
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.1
 
 Package: electric-fence
 Section: devel
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: A malloc(3) debugger
  Electric Fence is a debugger that uses virtual memory hardware to detect
  illegal memory accesses. It can detect two common programming bugs: software

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
#
# Modified to work with debhelper-tools by Christian Kurz <shorty@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f libefence.so.0.0
	dh_clean
	$(MAKE) clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/lib usr/share/man/man3
	install -m 644 libefence.a debian/electric-fence/usr/lib
	install -m 644 libefence.so.0.0 debian/electric-fence/usr/lib
	dh_link /usr/lib/libefence.so.0.0 /usr/lib/libefence.so.0
	#ln -s debian/electric-fence/usr/lib/libefence.so.0 ./libefence.so
	dh_link /usr/lib/libefence.so.0 /usr/lib/libefence.so
	install -m 644 libefence.3 debian/electric-fence/usr/share/man/man3/libefence.3
	dh_installdocs README debian/README.gdb
	dh_installchangelogs
	dh_installman libefence.3
	chown -R root.root debian/electric-fence
	dh_strip
	dh_compress
	dh_lintian
	dh_installdeb
	dh_fixperms
	dh_shlibdeps debian/electric-fence/usr/lib/libefence.so.0.0
	dpkg-shlibdeps debian/electric-fence/usr/lib/libefence.so.0.0
	dh_gencontrol
	dh_md5sums
	dh_builddeb	

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## electric-fence 2.2.5

=== Makefile ===
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
       CFLAGS=-O0 -fno-builtin-malloc -g -Wall -DUSE_SEMAPHORE -fPIC
else
       CFLAGS=-O2 -fno-builtin-malloc -g -Wall -DUSE_SEMAPHORE -fPIC
endif

LIBS= -lpthread

prefix=/usr
BIN_INSTALL_DIR= $(prefix)/bin
LIB_INSTALL_DIR= $(prefix)/lib
MAN_INSTALL_DIR= $(prefix)/man/man3


CC= cc
AR= ar
INSTALL= install

PACKAGE_SOURCE= README efence.3 Makefile efence.h \
	efence.c page.c print.c eftest.c tstheap.c CHANGES

OBJECTS= efence.o page.o print.o

all:	libefence.a libefence.so.0.0 tstheap eftest
	@ echo
	@ echo "Testing Electric Fence."
	@ echo "After the last test, it should print that the test has PASSED."
	./eftest
	./tstheap 3072
	@ echo
	@ echo "Electric Fence confidence test PASSED." 
	@ echo

install: libefence.a libefence.3 libefence.so.0.0
	$(INSTALL) -m 755 ef.sh $(BIN_INSTALL_DIR)/ef
	$(INSTALL) -m 644 libefence.a $(LIB_INSTALL_DIR)
	$(INSTALL) -m 755 libefence.so.0.0 $(LIB_INSTALL_DIR)
	- rm -f $(LIB_INSTALL_DIR)/libefence.so.0
	ln -s libefence.so.0.0 $(LIB_INSTALL_DIR)/libefence.so.0
	- rm -f $(LIB_INSTALL_DIR)/libefence.so
	ln -s libefence.so.0.0 $(LIB_INSTALL_DIR)/libefence.so
	$(INSTALL) -m 644 efence.3 $(MAN_INSTALL_DIR)/libefence.3

clean:
	- rm -f $(OBJECTS) tstheap.o eftest.o tstheap eftest \
	 libefence.a libefence.so.0.0 libefence.cat ElectricFence.shar


roff:
	nroff -man < libefence.3 > libefence.cat


ElectricFence.shar: $(PACKAGE_SOURCE)
	shar $(PACKAGE_SOURCE) > ElectricFence.shar

shar: ElectricFence.shar

libefence.a: $(OBJECTS)
	- rm -f libefence.a
	$(AR) crv libefence.a $(OBJECTS)

libefence.so.0.0: $(OBJECTS)
	$(CC) -shared -Wl,-soname,libefence.so.0 -o libefence.so.0.0 \
		$(CFLAGS) $(OBJECTS) -lpthread -lc 

tstheap: libefence.a tstheap.o
	- rm -f tstheap
	$(CC) $(CFLAGS) tstheap.o libefence.a -o tstheap $(LIBS)

eftest: libefence.a eftest.o
	- rm -f eftest
	$(CC) $(CFLAGS) eftest.o libefence.a -o eftest $(LIBS)

$(OBJECTS) tstheap.o eftest.o: efence.h

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $< -o $@

=== debian/changelog ===
electric-fence (2.2.5) unstable; urgency=medium

  * Patch from Helmut Grohne to Fix FTCBFS: (Closes: 853051)
    + Let dh_auto_build pass cross compilers
    + Honour DEB_BUILD_OPTIONS=nocheck

 -- Matthew Vernon <matthew@debian.org>  Sun, 29 Jan 2017 12:24:45 +0000
  

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,10 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	make
+	dh_auto_build -- libefence.a libefence.so.0.0
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	dh_auto_build # default make target runs tests
+endif
 	touch build-stamp
 
 clean:

## electric-fence 2.2.6

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 
 LIBS= -lpthread
 
-prefix=/usr
+prefix=$(DESTDIR)/usr
 BIN_INSTALL_DIR= $(prefix)/bin
 LIB_INSTALL_DIR= $(prefix)/lib
-MAN_INSTALL_DIR= $(prefix)/man/man3
+MAN_INSTALL_DIR= $(prefix)/share/man/man3
 
 
 CC= cc
@@ -32,14 +32,16 @@
 	@ echo
 
 install: libefence.a libefence.3 libefence.so.0.0
-	$(INSTALL) -m 755 ef.sh $(BIN_INSTALL_DIR)/ef
-	$(INSTALL) -m 644 libefence.a $(LIB_INSTALL_DIR)
-	$(INSTALL) -m 755 libefence.so.0.0 $(LIB_INSTALL_DIR)
+#	$(INSTALL) -m 755 ef.sh $(BIN_INSTALL_DIR)/ef
+	mkdir -p $(LIB_INSTALL_DIR)
+	$(INSTALL) -m 644 libefence.a $(LIB_INSTALL_DIR)/
+	$(INSTALL) -m 755 libefence.so.0.0 $(LIB_INSTALL_DIR)/
 	- rm -f $(LIB_INSTALL_DIR)/libefence.so.0
 	ln -s libefence.so.0.0 $(LIB_INSTALL_DIR)/libefence.so.0
 	- rm -f $(LIB_INSTALL_DIR)/libefence.so
-	ln -s libefence.so.0.0 $(LIB_INSTALL_DIR)/libefence.so
-	$(INSTALL) -m 644 efence.3 $(MAN_INSTALL_DIR)/libefence.3
+	ln -s libefence.so.0 $(LIB_INSTALL_DIR)/libefence.so
+	mkdir -p $(MAN_INSTALL_DIR)
+	$(INSTALL) -m 644 libefence.3 $(MAN_INSTALL_DIR)/libefence.3
 
 clean:
 	- rm -f $(OBJECTS) tstheap.o eftest.o tstheap eftest \

=== debian/changelog ===
electric-fence (2.2.6) unstable; urgency=medium

  * Move to entirely dh-based packaging (Closes: #999103)
  * Bump standards-version
  * Lintian-inspired packaging fixes

 -- Matthew Vernon <matthew@debian.org>  Fri, 12 Nov 2021 18:58:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: electric-fence
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0.1
 
 Package: electric-fence
-Section: devel
-Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: A malloc(3) debugger

## electric-fence 2.2.7

=== debian/changelog ===
electric-fence (2.2.7) unstable; urgency=medium

  * Fix errors reported by gcc-14 (Closes: #1074933)
  * Update a lintian override

 -- Matthew Vernon <matthew@debian.org>  Tue, 20 Aug 2024 16:52:57 +0100

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see dpkg-buildflags(1)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- libefence.a libefence.so.0.0
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	dh_auto_build # default make target runs tests
endif

## electric-fence 2.2.7build1

=== debian/changelog ===
electric-fence (2.2.7build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 20:50:41 +0000
